## logcheck 1.2.66

=== debian/changelog ===
logcheck (1.2.66) unstable; urgency=low

  * Re-added mailx as dependency, which is a virtual package. Lintian
    misguided me. Sorry (closes: #488102).
  * Upgrade to Standards-Version 3.8.0, which requires no other changes.

 -- martin f. krafft <madduck@debian.org>  Thu, 26 Jun 2008 15:49:15 +0200

logcheck (1.2.65) unstable; urgency=low

  * violations.ignore.d/logcheck-postfix:
    - fixed filters for certificate messages that changed in postfix 2.5.
  * ignore.d.server/postfix:
    - ignore connection messages for anonymous TLS connections; thanks to
      Justin Larue (closes: #486440).
    - ignore hostname verification due to DNS name not found; thanks to
      Justin Larue (closes: #486440).
    - do not report connection failures due to timeouts.
  * ignore.d.server/maradns:
    - ignore messages related to resolvconf integration.
  * ignore.d.server/dovecot:
    - ignore aborted logins with 0 authentication attempts, e.g. due to
      nagios; thanks to René Hertell (closes: #487208).
  * ignore.d.server/cron-apt:
    - ignore harmless messages about state and space usage prediction; thanks
      to Daniel Hahler (closes: #484546).
  * ignore.d.server/spamd:
    - ignore child state K; thanks to Ross Boylan (closes: #484328).
  * ignore.d.server/ssh:
    - ignore host-based auth logins; thanks to Tilman Koschnick
      (closes: #483214)
  * ignore.d.server/imapproxy:
    - ignore failures to read from client socket (closes: #482523).
  * ignore.d.server/courier:
    - update rules to include port information; thanks to Antoine Pardignon
      (closes: #446310).
    - ignore couriertcpd messages; thanks to Andrew Gallagher
      (closes: #451118).
  * ignore.d.server/smbd_audit:
    - ignore smbd audit log entries (closes: #452879).
  * ignore.d.server/acpid:
    - follow recent modifications in acpid log output; thanks to Arno Renevier
      (closes: #450660).
  * ignore.d.server/otrs:
    - ignore OTRS CGI notices (closes: #450697).
  * ignore.d.server/openvpn:
    - ignore messages about dropped packets due to bad source addresses (out
      of connection messages).
    - ignore messages about packets with wrong encapsulated lengths, which are
      mostly portscanners, or hosts connecting to openvpn on ports like 443.
  * ignore.d.server/schroot:
    - ignore operational schroot messages for logins and running commands.
  * ignore.d.server/dhcp:
    - ignore DHCPACKs that have no hardware address (Windows).
  * fix wording in header.txt (closes: #472937).
  * change obsolete mailx dependency to bsd-mailx.

 -- martin f. krafft <madduck@debian.org>  Tue, 24 Jun 2008 18:56:26 +0100

logcheck (1.2.64) unstable; urgency=low

  [ martin f. krafft ]
  * Fix spelling error in configuration file; thanks to Frans "I am bored"
    Pop (closes: #445537).

  * Remove version from cron dependency to allow e.g. bcron-run to satisfy the
    requirement.
  * Clean up accidental duplication in Makefile; hardcoded /usr/sbin is now
    $(BINDIR) (Ed Santiago)

  * ignore.d.server/postfix:
    - ignore Postfix bad address syntax errors from postfix/error
      (closes: #464896) (Russ Allbery)
    - ignore additional "(0 bytes)" on lost connnections (closes: #470102)
      (Russ Allbery)

  * ignore.d.server/spamd
    - deal with socket connections by e.g. evolution (closes: #448510, #473619).

  * ignore.d.workstation/kernel
    - also ignore loading of R300 microcode (closes: #474606).

  * ignore.d.server/spamd
    - fix spamd processing message pattern when msgid is unknown; thanks to
      Michal Čihař for the patch (closes: #471936).

  * ignore.d.server/bind
    - Fix up rules to match when views are in use; thanks Shawn Heisey
      (closes: #477932).

  * ignore.d.server/dkim-filter
    - ignore warnings about bad signature data; thanks to Clint Adams
      (closes: #478334).

  * Set permissions on /var/lib/logcheck to 0770 to prevent disclosure of
    information (see #481347).

  * If nail is not installed and MAILASATTACH is set, fall back to regular
    method (closes: #479278).

  [ maximilian attems ]
  * Clean up linux/violations.d/logcheck, all the "Attack" rules look
    pretty much dubious. Nobody should serisouly run rshd or rlogind.
  * control: s/XS-Vcs/Vcs/ git lines are official.
  * Add myself to Uploaders.
  * debian/rules, debian/logcheck-database.linda-overrides: Nuke old
    dup overrides, lintian rules.

  [ Frédéric Brière ]
  * ignore.d.server/bind:
    - moved "[bind] query $FOO denied" rule to violations.ignore.d
      (closes: #443881).
    - added bind's "AXFR ended" rule alongside "AXFR started"
      (closes: #445046).
    - added "adding an RR"/"deleting rrset" bind rules for dynamic DNS.
    - added "connection reset" rule for bind.
    - added "journal file does not exist" rule for bind.

  * ignore.d.server/sasl2-bin:
    - added DB_NOTFOUND and "user not found" rules for sasl2-bin.

  * ignore.d.workstation/kernel:
    - ignore bttv PLL messages
    - ignore (un)register messages from zaurus module (closes: #444096).

  * ignore.d.server/ddclient:
    - added two basic rules for ddclient (closes: #444097).

  * ignore.d.server/telnetd:
    - added basic rules for telnetd (closes: #444100).

  * ignore.d.server/ssh:
    - ignore "Nasty PTR record" messages from openssh (closes: #445074).

  * violations.ignore.d/logcheck-ssh:
    - adjused ssh "Failed password" rule to allow omitting "illegal/invalid
      user" (closes: #445072).
    - updated ssh "reverse mapping" rule to include IP address
      (closes: #445073).

  * ignore.d.server/tftpd:
    - added tftpd "serving file from ..." rule (closes: #445069).

  * ignore.d.server/dspam:
    - corrected illegal regex in ignore.d.server/dspam.

  * violations.ignore.d/logcheck-sudo:
    - ignore PAM session messages triggered by sudo.

  * ignore.d.server/postfix:
    - Postfix considers that "-" can be part of a numeric hostname.

  * violations.ignore.d/logcheck-postfix:

