## logcheck 1.2.66ubuntu1

=== debian/changelog ===
logcheck (1.2.66ubuntu1) intrepid-proposed; urgency=low

  * rulefiles/linux/ignore.d.server/smbd_audit: Fix unescaped "|" which caused
    logcheck to ignore all logs in "server" or "workstation" configs. Fix
    backported from 1.2.67. (LP: #297771)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 17 Nov 2008 12:38:08 +0100
