## logcheck 1.2.68~bpo40+2

=== debian/changelog ===
logcheck (1.2.68~bpo40+2) etch-backports; urgency=low

  * Removed Conflicts with amavisd-new, mentioned by David Schweikert. I'll
    remove it from the master branch too. Sorry for the inconvenience.

 -- Gerfried Fuchs <rhonda@debian.at>  Tue, 02 Sep 2008 12:08:06 +0200

logcheck (1.2.68~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Gerfried Fuchs <rhonda@debian.at>  Mon, 01 Sep 2008 09:59:58 +0200

logcheck (1.2.68) unstable; urgency=low

  * Thanks to Hanspeter Kunz for all his patches.

  * ignore.d.server/dovecot:
    - ignore connection closed messages.
    - ignore forwards and to cope with missing >'s at the end of long msgids.
    - ignore closed connection messages also when connection is reset by peer.

  * ignore.d.server/postfix:
    - ignore "NOQUEUE: milter-reject" messages.
    - enhanced "TLS library problem" rule to also ignore "bad
      certificate" errors.
    - added rule to ignore "SSL23_GET_CLIENT_HELLO:unknown protocol"
      messages.

 -- martin f. krafft <madduck@debian.org>  Thu, 17 Jul 2008 12:17:19 +0200

logcheck (1.2.67~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 16 Jul 2008 12:41:54 +0200

logcheck (1.2.67) unstable; urgency=low

  [ Gerfried Fuchs ]
  * fix ignore.d.server/smbd_audit which had an unescaped | resulting in
    everything ignored (closes: #489009). As this hasn't transitioned yet to
    testing no urgency bump.
  * Added README.source, more or less a plain copy from
    <http://www.logcheck.org/git.html>

 -- Gerfried Fuchs <rhonda@debian.at>  Fri, 04 Jul 2008 10:38:07 +0200

logcheck (1.2.64~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 09 Jul 2008 16:24:27 +0200
