=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: logcheck
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
+Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
 Uploaders: Todd Troxell <ttroxell@debian.org>, Gerfried Fuchs <rhonda@debian.at>, Eric Evans <eevans@debian.org>, martin f. krafft <madduck@debian.org>, Marc Haber <mh+debian-packages@zugschlus.de>, maximilian attems <maks@debian.org>
 Standards-Version: 3.8.0
 Build-Depends: debhelper (>= 4.1.13)
@@ -27,7 +26,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Replaces: logcheck (<= 1.1.1-9)
-Conflicts: amavisd-new (<< 1:2.5.2-1)
 Description: database of system log rules for the use of log checkers
  This database is part of the Logcheck package, but might be used by others.
  It brings a database of regular expressions for matching system log entries
