=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

.PHONY: build clean binary-indep binary-arch binary cvs-build checkpo help

build: build-stamp
build-stamp:
	dh_testdir

	/usr/bin/docbook-to-man docs/logcheck.sgml > \
		docs/logcheck.8

	make check
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	rm -f docs/logcheck.8
	[ ! -f Makefile ] || $(MAKE) clean DESTDIR=$(CURDIR)/debian/tmp

	dh_clean

install: install-stamp
install-stamp: DESTDIR=$(CURDIR)/debian/tmp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(DESTDIR)

	mkdir -p $(DESTDIR)/usr/share/lintian/overrides
	install -m644 debian/logcheck.lintian-overrides \
		$(DESTDIR)/usr/share/lintian/overrides/logcheck
	install -m644 debian/logcheck-database.lintian-overrides \
		$(DESTDIR)/usr/share/lintian/overrides/logcheck-database

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_movefiles
	dh_install debian/header.txt usr/share/logcheck
	dh_installcron
	dh_installman -p logtail docs/logtail.8
	dh_installman -p logtail docs/logtail2.8
	dh_installman -p logcheck docs/logcheck.8
	dh_installchangelogs
#	dh_strip
	dh_compress
	dh_fixperms --exclude etc/logcheck
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch

help:
	@echo
	@echo 'Cleaning targets:'
	@echo '  clean         -   remove generated files'
	@echo '  cvs-clean     -   remove cvs checkout'
	@echo
	@echo 'Logcheck packaging:'
	@echo '  cvs-build     -   checkout current logcheck cvs'
	@echo '  binary        -   build debian package'
	@echo
	@echo 'Analysing:'
	@echo '  checkpo       -   prints translation status'
	@echo
	@echo 'Execute debian/rules file'

# Done by the uploader:
# cvs update..
# edit debian/changelog
# debian/rules cvs-build
#
#LOGCHECK_DEBVER=$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p')
#LOGCHECK_CVSTAG=$(shell echo "$(LOGCHECK_DEBVER)" | sed -e 's/^/v/' -e 's/\./_/g')
LOGCHECK_DEBVER=$(shell head -n 1 debian/changelog | perl -lne 'print  m,\(([\w.]+)\),')
LOGCHECK_CVSTAG=HEAD
CVS_BUILDDIR=logcheck-$(LOGCHECK_DEBVER)
CVS_ROOT=$(shell cat CVS/Root)
CVS_MODULE=$(shell cat CVS/Repository)
cvs-build: 
	rm -rf debian/cvs-build
	mkdir -p debian/cvs-build
	(cd debian/cvs-build;cvs -d $(CVS_ROOT) export -r $(LOGCHECK_CVSTAG) -d $(CVS_BUILDDIR) $(CVS_MODULE))
cvs-clean: 
	-rm -rf debian/cvs-build
