=== debian/changelog ===
logcheck (1.2.69) unstable; urgency=high

  [ Gerfried Fuchs ]
  * Merge ssh rule change from violations.ignore.d/logcheck-ssh to
    ignore.d.server/ssh (closes: #500017)
  * Rule changes pulled from 1.3 branch:
    - ignore.d.server/upsd:
      + ignore client connection messages (closes: #495923).
    - violations.d/su:
      + match both, user-root and user:root styles (closes: #491694).
  * ignore.d.server/nagios, violations.ignore.d/logcheck-nagios: also support
    nagios3 as string in the log lines (closes: #514335).

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 11 Feb 2009 12:55:11 +0100
