## logcheck 1.2.69ubuntu0.1

=== debian/changelog ===
logcheck (1.2.69ubuntu0.1) karmic-proposed; urgency=low

  * rulefiles/linux/ignore.d.paranoid/cron: make /usr/sbin/ optional in
    pathnames to cron; apparently a difference between syslog and rsyslog;
    LP: #463471.
  * rulefiles/linux/ignore.d.server/dhclient: match optional ip address;
    LP: #307847.
  * rulefiles/linux/ignore.d.server/ssh: add "disconnected by user" re in the
    "Received disconnect from" series; this now occurs frequently with recent
    OpenSSH clients; LP: #527669.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 25 Feb 2010 10:58:02 +0100
