## logcheck 1.3.7

=== debian/changelog ===
logcheck (1.3.7) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * Added src/logcheck-test and docs/logcheck-test.1
  * ignore.d.server/wu-ftpd:
    - adjusted rule to match optional pid (closes: #570207)
  * src/logcheck:
    - use 7bit encoding for sending mail
  * ignore.d.workstation/kernel:
    - added rules for inserted and removed SD cards
  * ignore.d.server/mountd: new
    - added rule for authenticated mount/unmount requests,
      thanks to Paweł Hajdan, Jr. (closes: #567842)
  * docs/logcheck.sgml: clarify that "server" rules are
    included in "workstation" level
  * ignore.d.server/klogind: new
    - added rule for "connect from" message
  * ignore.d.server/login:
    - added rule for root logins on pseudo terminals
  * ignore.d.server/bind:
    - added rules for "received notify for zone" and
      "zone is up to date" message
  * Makefile:
    - added an empty "all" make target, thanks to
      Paweł Hajdan, Jr. (closes: #567150)
    - renamed BINDIR to SBINDIR
    - added logtail2 script to "clean" make target
  * ignore.d.server/ssh:
    - added rule for "disconnected by user" message (closes: #567317)
  * ignore.d.workstation/ifplugd:
    - added rule for "client: OK" message
  * debian/control:
    - bumped to Standards-Version 3.8.4 (no changes necessary)
    - added ${misc:Depends} to logtail Depends

  [ Hanspeter Kunz ]
  * ignore.d.server/dovecot:
    - added an optional prefix "dovecot: " to the deliver rule
    - added rule to ignore various sieve messages (stored mail, forwards,
      vacation replies and discards)

  [ Frédéric Brière ]
  * ignore.d.server/kernel:
    - added IPv6 support to "Treason uncloaked!" rule (closes: #546004)
    - added "Peer unexpectedly shrunk window" alternate rule
    - allow '-' in usbcore interface driver names (e.g. snd-usb-audio)
  * ignore.d.workstation/kernel:
    - added UDF-fs "readonly partition" and "Mounting volume" rules
    - usbhid no longer prints the source filename in its messages
    - allow ':' and arbitrary paths for input devices
    - adjusted "USB HID" rule to match generic devices
    - adjusted "USB HID" rule for newer kernels
    - adjusted agpgart rules for newer kernels

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Fri, 19 Feb 2010 07:16:32 +0100

logcheck (1.3.6) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * ignore.d.paranoid/sysklogd:
    - more specific matching of upstream version and optional distribution
      revision, thanks to Caspar Clemens Mierau (closes: #566200)
  * ignore.d.paranoid/cron:
    - make /usr/sbin/ optional in pathnames of cron,
      thanks to Matthias Andree (closes: #566198)
  * ignore.d.server/dhclient:
    - adjusted rules to match optional ip address,
      thanks to David Pashley (closes: #552222)
  * debian/header.txt:
    - fixed incorrect spelling, thanks to Michael Lustfield (closes: #566197)
  * Use mime-construct to send mail (closes: #542781, #564693)
  * etc/logcheck.conf:
    - added hint for suggested package
  * Removed obsolete files in violations.ignore.d/ (closes: #566107)
  * ignore.d.workstation/wpasupplicant:
    - adjusted rule to also match LEAP method
    - allow empty id_str in CTRL-EVENT-CONNECTED message
  * Added rules for dhcpcd, thanks to Paweł Hajdan, Jr. (closes: #564702)
  * ignore.d.server/nagios:
    - removed rule for nrpe
  * Added rule for libpam-gnome-keyring,
    thanks to Jerome Wittmann (closes: #565774)
  * ignore.d.workstation/kernel:
    - extended the rules for WLAN authentication and association
  * Added rules for successful non-root login to text console.
  * ignore.d.server/kernel:
    - ignore ext4 mount message
  * ignore.d.server/login
    - adjusted login rule to also match /dev/ prefix
    - added rule to match newgrp messages,
      thanks to Martin Mazur (closes: #545318)
  * ignore.d.workstation/ifplugd
    - added rules for ifplugd.action script execution
  * ignore.d.workstation/ppp
    - adjusted rule for successful CHAP authentication
  * Added myself to the Uploaders field.

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Tue, 26 Jan 2010 22:01:39 +0100

logcheck (1.3.5) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * Added rule for fcron
  * ignore.d.server/nagios
    - ignore harmless "CURRENT (HOST|SERVICE) STATE" messages
  * ignore.d.workstation/kernel
    - ignore "set mode" message from DRM
    - added some rules for WLAN authentication and association
    - ignore "thinkpad_acpi: EC reports that Thermal Table has changed" message
  * Added nslcd rule for ldap server connection
  * ignore.d.server/cron-apt
    - ignore disk space freed message, thanks to Tim Small (closes: #557087)
    - tiny regex code change
  * Deleting obsolete conffiles in logcheck-database.preinst
    - ignore.d.server/oidentd, also in oidentd (closes: #544686, #560428)
  * ignore.d.server/dhclient
    - adjusted rule to match new web address
  * ignore.d.workstation/xdm
    - ignore successful kerberos authentication
  * Added xscreensaver rule for successful kerberos authentication

 -- martin f. krafft <madduck@debian.org>  Wed, 30 Dec 2009 08:10:08 +0100

logcheck (1.3.4) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * ignore.d.workstation/ifplugd
    - ignore link beat detection
  * ignore.d.server/smartd
    - added rule to match completed self-test
    - added rules to match more self-test messages
  * Added some rules for wpasupplicant (closes: #544084)
  * ignore.d.server/su, violations.ignore.d/logcheck-su
    - adjusted su rules to also match /dev/ prefix (closes: #551340)
  * Added rule for apcupsd (closes: #535976)

  [ Frédéric Brière ]
  * Adjusted various kernel SCSI rules for removable media
  * Added USB kernel rules for USB_ANNOUNCE_NEW_DEVICES
  * Merged USB "new device" and "reset device" rules
  * Ignore "UDP: bad checksum" and "UDP: short packet" kernel messages
  * Corrected xdm pam_session rules (closes: #508335)
  * Updated acpid "client has disconnected" rule

