=== debian/changelog ===
logcheck (1.3.7ubuntu1) lucid-proposed; urgency=low

  * ignore.d.server/dnsmasq: allow -dhcp suffix in DHCP messages; taken from
    Debian 1.3.8; LP: #508142.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 03 May 2010 15:29:06 +0200
