## logcheck 1.3.7ubuntu2

=== debian/changelog ===
logcheck (1.3.7ubuntu2) lucid-proposed; urgency=low

  * ignore.d.server/bind: Add two new rules from latest logcheck to allow
    various messages; LP: #748870.
    - "success resolving [...] after reducing advertized EDNS UDP packet size"
    - "success resolving [...] after disabling EDNS"
    - "error (connection refused) resolving [...]"
    - "error (unexpected RCODE REFUSED) resolving [...]"
    - "error (unexpected RCODE SERVFAIL) resolving [...]"

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 03 Oct 2011 14:09:33 +0200
