## logcheck 1.3.10

=== debian/changelog ===
logcheck (1.3.10) unstable; urgency=low

  * logcheck-database.preinst
    - deleting ignore.d.server/ntop, also in ntop (closes: #584824, #584849)

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Mon, 07 Jun 2010 08:51:02 +0200

logcheck (1.3.9) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * ignore.d.workstation/kernel:
    - adjusted rule to ignore more "usb-storage" messages
    - made 'AP ' optional in "wlan" message
  * src/logcheck-test:
    - fixed spelling error
  * debian/control:
    - added DM-Upload-Allowed field
  * ignore.d.workstation/wpasupplicant:
    - match more frequencies in 'Trying to associate' message
  * ignore.d.server/bind:
    - added rules to match bind's new syslog line format
    - adjusted rule to also match 'network unreachable' error, thanks to
      Bob Proulx (closes: #582060)
  * ignore.d.workstation/laptop-mode-tools: new
    - added rule for some laptop-mode info messages

  [ Hanspeter Kunz ]
  * ignore.d.server/dovecot:
    - sieve: msgids might be followed by "(added by ...)"

  [ martin f. krafft ]
  * ignore.d.server/postfix:
    - fix rule to match greylisting notices.
  * ignore.d.server/ntop:
    - ignore warnings about truncated packets.
  * ignore.d.server/schroot:
    - ignore new-style PAM session notices.
  * ignore.d.server/pdns:
    - update rules to match informational messages about incoming AXFR
      transfers, as well as sqlite3 connections.
  * ignore.d.server/asterisk:
    - ignore unknown attribute warnings/messages by rc_avpair_new.
  * ignore.d.server/git-daemon:
    - ignore warnings on access to nonexistent git repository.
  * ignore.d.server/kernel:
    - ignore message about kernel logging (proc) being stopped.

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Thu, 03 Jun 2010 16:04:19 +0200

logcheck (1.3.8) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * src/logcheck-test:
    - removed useless trap signal 16
  * ignore.d.workstation/wpasupplicant:
    - allow '_' in id_str of CTRL-EVENT-CONNECTED message
    - added rules for wpa_action messages
  * ignore.d.workstation/kernel:
    - "Mode Sense" is hexadecimal, not just decimal
    - ignore "usb-storage" message
  * ignore.d.server/kernel:
    - ignore "using internal journal" message
    - adjusted rule to match EXT3-fs and writeback data mode
  * ignore.d.server/bind:
    - added rule to ignore "success resolving" messages
  * ignore.d.server/nfs:
    - allow '_', '-' and '.' in mount path, thanks to
      G. T. Laycock (closes: #575378)
  * ignore.d.server/nagios:
    - allow '>=' in "SERVICE FLAPPING ALERT" message
    - added rule to ignore "HOST FLAPPING ALERT" message
  * src/logcheck:
    - look for {header,footer}.txt in $RULEDIR, thanks to Kerstin Puschke
    - cd to $STATEDIR before cleaning up temp dir, thanks to Kerstin Puschke
    - fixed stream redirection of hostname command,
      thanks to Bob Proulx (see #574858)
  * ignore.d.server/dnsmasq:
    - adjusted rule to also match '-dhcp' suffix in dhcp subsystem messages,
      thanks to Michał Sawicz
  * Switch to dpkg-source 3.0 (native) format

  [ Gerfried Fuchs ]
  * debian/logcheck.NEWS, debian/logtail.NEWS:
    - removed asterisk from entries
  * docs/logcheck-test.1, docs/logtail.8, docs/logtail2.8:
    - escaped dashes that really mean dashes

  [ Hanspeter Kunz ]
  * ignore.d.server/dovecot:
    - ignore more failed and aborted logins
    - msgid's may contain colons
    - ignore discarded vacation responses (bulk, auto-submited, duplicates)
    - ignore duplicate forwards
    - ignore more "Connection closed" messages
    - ignore "Too many invalid IMAP commands"
    - ignore more "Connection closed" messages (MANAGESIEVE)
    - ignore aborted authentications
  * ignore.d.server/postfix:
    - ignore disconnects during EHLO (and not only HELO) handshakes
    - merged 5 similar "lost connection" rules into one
  * ignore.d.server/kernel: ignore imklog startup messages

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Wed, 14 Apr 2010 13:43:17 +0200
