## logcheck 1.3.13~bpo50+1

=== debian/changelog ===
logcheck (1.3.13~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports. Former changes kept:
    - Switch back to dpkg-source format 1.
    - Changed mktemp parameters in src/logcheck-test to what is supported in
      lenny.
    - Revert e348e9c1: depend on default-mta instead of exim4

 -- Gerfried Fuchs <rhonda@debian.at>  Sun, 26 Sep 2010 21:13:00 +0200

logcheck (1.3.13) unstable; urgency=low

  * ignore.d.server/pure-ftpd:
    - fixed user name pattern in logout message, thanks to Simon Breuss
      (LP: #619119)
  * violations.ignore.d/logcheck-sudo:
    - match COMMAND=list and TTY=console, thanks to Michel Messerschmidt for
      the patch (closes: #593482)
  * ignore.d.server/amavisd-new:
    - applied changes by Christian Dröge (closes: #594605):
      - IPv6 support for IP addresses
      - allow PASSED SPAM in log
      - optional minus sign after "Hits:"
      - optional quarantine in log line
      - optional Message-ID

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Fri, 03 Sep 2010 09:59:52 +0200

logcheck (1.3.12~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports. Former changes kept:
    - Switch back to dpkg-source format 1.
    - Changed mktemp parameters in src/logcheck-test to what is supported in
      lenny.
    - Revert e348e9c1: depend on default-mta instead of exim4

 -- Gerfried Fuchs <rhonda@debian.at>  Tue, 31 Aug 2010 22:18:33 +0200

logcheck (1.3.12) unstable; urgency=low

  [ Hanspeter Kunz ]
  * ignore.d.server/dhcp:
    - generalized rule for "sending options to hosts"
    - ignore reading global configuration from an LDAP directory
    - allow dots in the DN (parsing of the DHCP configuration from LDAP dir)
    - ignore reading subnet configuration from an LDAP directory
    - ignore reading pool configuration from an LDAP directory

  [ Hannes von Haugwitz ]
  * ignore.d.workstation/kernel:
    - ignore 'cfg80211: Calling CRDA to update world regulatory domain' message
    - added rule to ignore 'No probe response from AP' message
  * ignore.d.workstation/wpasupplicant:
    - added some rules to ignore WLAN disconnections
  * ignore.d.server/amavisd-new:
    - match local mails in 'Passed CLEAN' message, thanks to Patrice Le Gurun
      (closes: #563348)

  [ Gerfried Fuchs ]
  * Re-integrating ignore.d.server/amavisd-new after a long time
    (closes: #583155)
  * Add Replaces: amavisd-new (<= 2:2.6.4-1) to logcheck-database for that.
  * Remove this file from the debian/logcheck-database.preinst OLD_CONFFILES
    list.

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Tue, 10 Aug 2010 21:46:08 +0200

logcheck (1.3.11~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports. Former changes kept:
    - Switch back to dpkg-source format 1.
    - Changed mktemp parameters in src/logcheck-test to what is supported in
      lenny.
  * Revert e348e9c1: depend on default-mta instead of exim4

 -- Gerfried Fuchs <rhonda@debian.at>  Mon, 02 Aug 2010 22:43:13 +0200

logcheck (1.3.11) unstable; urgency=low

  [ Hannes von Haugwitz ]
  * ignore.d.server/smartd:
    - ignore "scheduled Offline Immediate Test" (closes: #585802)
  * ignore.d.workstation/slim: new
    - ignore session opened/closed messages
  * debian/control:
    - bumped to Standards-Version 3.9.1 (no changes necessary)
    - depend on default-mta instead of exim4
  * ignore.d.workstation/wpasupplicant:
    - match 5660 MHz in 'Trying to associate' message
  * ignore.d.server/libpam-krb5: new
    - ignore successful kerberos authentication, thanks to
      Russ Allbery (closes: #588285)
  * violations.ignore.d/logcheck-sudo:
    - ignore successful kerberos authentication, thanks to
      Michel Messerschmidt (see: #588285)
  * logcheck-database.preinst:
    - deleting ignore.d.workstation/xscreensaver, rule is covered
      by i.d.s/libpam-krb5
    - deleting ignore.d.server/cracklib, rules maintained in cracklib-runtime
  * ignore.d.workstation/login:
    - removed successful krb auth rule, rule is covered by i.d.s/libpam-krb5
  * violations.ignore.d/logcheck-su:
    - ignore successful kerberos authentication
  * ignore.d.server/smartd
    - ignore 'state read' and 'state written' messages
  * debian/copyright:
    - updated copyright year to 2010
    - added Marc, Hanspeter and myself as team members
  * ignore.d.server/dhclient:
    - allow '-' in version string

  [ martin f. krafft ]
  * ignore.d.server/postfix:
    - patch from Mathias Krause to address changes in policy-weightd log
      message format.
  * ignore.d.server/ssh:
    - messages about invalid users can contain zero-length usernames.
  * ignore.d.server/postfix:
    - ignore delay notification log entries (closes: #589981).

  [ Hanspeter Kunz ]
  * ignore.d.server/dhcp:
    - ignore messages about LDAP lookups of host entries
    - ignore messages on sending options to hosts (as a result of LDAP lookups)
    - ignore more balancing/balanced pool messages
    - Found dhcpHWAddress: LDAP entries may contain underscores and dashes
    - removed rule to "ignore messages about leased addresses which respond to
      to ping requests" because this is probably caused by a misconfiguration
    - ignore messages on xid-mismatches
    - ignore messages on establishing a (TLS) connection to the LDAP server
    - ignore successful logins to the LDAP server
    - ignore successful parsing of the DHCP configuration from an LDAP directory
  * ignore.d.server/postfix:
    - ignore another TLS library problem
      (SSL23_GET_CLIENT_HELLO:http request:s23_srvr.c:379)
  * ignore.d.server/dovecot:
    - sieve: allow empty recipient address
    - sieve: make "added by" optional

 -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Thu, 29 Jul 2010 08:37:19 +0200

logcheck (1.3.10~bpo50+1) lenny-backports; urgency=low

  * Rebuilt for lenny-backports.
  * Switch back to dpkg-source format 1.
  * Changed mktemp parameters in src/logcheck-test to what is supported in
    lenny.


